# SDL Visual Test: C:/Users/DELL/Work/sdlvisualtest/visualtest/src/harness_argparser.c File Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
harness_argparser.c File Reference
`#include <SDL_test.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "SDL_visualtest_harness_argparser.h"`
`#include "SDL_visualtest_rwhelper.h"`

## Macros

#define | MAX_CONFIG_LINE_LEN 400
#define | DEFAULT_SUT_TIMEOUT (60 * 1000)

## Functions

int | SDLVisualTest_ParseHarnessArgs (char **argv, SDLVisualTest_HarnessState *state)
void | SDLVisualTest_FreeHarnessState (SDLVisualTest_HarnessState *state)

## Detailed Description

Source file for functions to parse arguments to the test harness.

## Macro Definition Documentation

#define DEFAULT_SUT_TIMEOUT (60 * 1000)

Default value for the timeout after which the SUT is forcefully killed

#define MAX_CONFIG_LINE_LEN 400

Maximum length of one line in the config file

## Function Documentation

void SDLVisualTest_FreeHarnessState | ( | SDLVisualTest_HarnessState * | state) |  |

Frees any resources associated with the state object pointed to by `state`.

int SDLVisualTest_ParseHarnessArgs | ( | char ** | argv,
|  | SDLVisualTest_HarnessState * | state
| ) |  |

Parse command line paramters to the test harness and populate a state object.

Parameters

  argv | The array of command line parameters.
  state | Pointer to the state object to be populated.

Returns
  Non-zero on success, zero on failure.